MooseX::Storage::IO::StorableFile(3)

NAME
MooseX::Storage::IO::StorableFile - An Storable File I/O role

SYNOPSIS
  package Point;
  use Moose;
  use MooseX::Storage;

  with Storage('io' => 'StorableFile');

  has 'x' => (is => 'rw', isa => 'Int');
  has 'y' => (is => 'rw', isa => 'Int');

  1;

  my $p = Point->new(x => 10, y => 10);

  ## methods to load/store a class
  ## on the file system

  $p->store('my_point');

  my $p2 = Point->load('my_point');

DESCRIPTION
This module will "load" and "store" Moose classes using Storable. It uses "Storable::nstore" by default so that it can be easily used across machines or just locally.

One important thing to note is that this module does not mix well with the other Format modules. Since Storable serialized perl data structures in it's own format, those roles are lagely unnecessary.

However, there is always the possibility that having a set of "freeze/thaw" hooks can be useful, so because of that this module will attempt to use "freeze" or "thaw" if that method is available. Of course, you should be careful when doing this as it could lead to all sorts of hairy issues. But you have been warned.

METHODS

load ($filename)
store ($filename)

  Introspection

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan.little@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2007-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.